apiVersion: kubernetes.crossplane.io/v1alpha2
kind: Object
metadata:
  name: pomerium-authenticate-mapping
  namespace: crossplane-system
spec:
  providerConfigRef:
    name: kubernetes-provider
  forProvider:
    manifest:
      apiVersion: getambassador.io/v3alpha1
      kind: Mapping
      metadata:
        name: authenticate-mapping
        namespace: emissary
      spec:
        hostname: authenticate.nge6.com
        prefix: /
        service: https://pomerium-authenticate.pomerium:443
        timeout_ms: 30000
        connect_timeout_ms: 10000
---
apiVersion: kubernetes.crossplane.io/v1alpha2
kind: Object
metadata:
  name: pomerium-keycloak-mapping
  namespace: crossplane-system
spec:
  providerConfigRef:
    name: kubernetes-provider
  forProvider:
    manifest:
      apiVersion: getambassador.io/v3alpha1
      kind: Mapping
      metadata:
        name: keycloak-mapping
        namespace: emissary
      spec:
        hostname: keycloak.nge6.com
        prefix: /
        service: https://pomerium-proxy.pomerium:443
        timeout_ms: 30000
        connect_timeout_ms: 10000